Bug 6750 - Guarantor search broken on translated templates
Summary: Guarantor search broken on translated templates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) critical (vote)
Assignee: Frédéric Demians
QA Contact: Bugs List
URL: /cgi-bin/koha/members/guarantor_searc...
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-19 08:06 UTC by Katrin Fischer
Modified: 2019-06-27 09:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (4.99 KB, patch)
2011-09-01 08:23 UTC, Frédéric Demians
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6750 Guarantor search broken on translated templates (5.10 KB, patch)
2011-09-02 05:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-08-19 08:06:45 UTC
To reproduce:

0) Select a language != English
1) Add new child patron
2) Click on 'Set to patron'

New window for guarantor search opens with following error message:

'Software error:

Template process failed: file error - parse error - /home/koha/kohaclone/koha-tmpl/intranet-tmpl/prog/de-DE/modules/members/guarantor_search.tt line 83: unexpected token (=)
  [% "'[%" |replace('\n',="|replace('\n'," |replace('\r',="|replace('\r'," '\\r')="'\\r')" resultsloo.zipcode="resultsloo.zipcode" resultsloo.address2="resultsloo.address2" resultsloo.city="resultsloo.city" '\\n')="'\\n')" '",="'"," resultsloo.firstname="resultsloo.firstname" resultsloo.streetnumber="resultsloo.streetnumber" value="Auswählen" resultsloo.address="resultsloo.address" %] at /home/koha/kohaclone/C4/Templates.pm line 119.

For help, please send mail to the webmaster (webmaster@koha-dev), giving this error message and the time and date of the error. 

Problem exists in master and 3.4.3. Tested with German and French.
Comment 1 Frédéric Demians 2011-09-01 08:23:22 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2011-09-02 05:35:12 UTC
Created attachment 5272 [details] [review]
[SIGNED-OFF] Bug 6750 Guarantor search broken on translated templates

Fix the JavaScript to avoid implementing complex string substitution into JS
function call. This patch solves the bug and keep the ability to copy
borrower's address, name, etc., containing new line, simple quote, etc.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment 3 Chris Cormack 2011-09-07 09:01:00 UTC
js changes, pushed please test
Comment 4 Chris Nighswonger 2011-10-26 18:02:07 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.